<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_dyr_include.php
| Author: Eddy
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_dyr = isset($user_data['user_dyr']) ? stripinput($user_data['user_dyr']) : "";
	if ($this->isError()) { $user_dyr = isset($_POST['user_dyr']) ? stripinput($_POST['user_dyr']) : $user_navn; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_dyr")."'><label for='user_dyr'>".$locale['uf_dyr'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_dyr")."'>";
	echo "<input type='text' id='user_navn' name='user_dyr' value='".$user_dyr."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_dyr", $locale['uf_dyr_error']); }
	
// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_dyr']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_dyr']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_dyr']."</td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_dyr']) && ($_POST['user_dyr'] != "" || $this->_isNotRequired("user_dyr"))) {
		// Set update or insert user data
		$this->_setDBValue("user_dyr", stripinput(trim($_POST['user_dyr'])));
	} else {
		$this->_setError("user_dyr", $locale['uf_dyr_error'], true);	
	}
}
?>